function showSettingForm(rooturl,emessage,extendserver)
{
	if(emessage == 1) document.getElementById('emessage').innerHTML = "";
	var instruction_message = "<b>Instructions:</b><br>";
	var hmode = document.getElementById('hmode')[document.getElementById('hmode').selectedIndex].value;
	
	if(hmode == 3)
	{
		document.getElementById('client_location_host_field').style.display = "none";
		document.getElementById('chat_room_name_field').style.display = "";
		document.getElementById('chat_server_path_field').style.display = "none";
		instruction_message += "Please set the chat room name, the free chat mode has only one room, and doesn't have admin panel.<br><br>";
	}
	else if(hmode == 2)
	{
		document.getElementById('client_location_host_field').style.display = "";
		document.getElementById('client_location_host').disable = false;
		document.getElementById('chat_server_path_field').style.display = "none";
		document.getElementById('chat_room_name_field').style.display = "none";
		instruction_message += "Please fill client location with your host location which should be http://host**.123flashchat.com/yourchatgroupname/, or you could contact our online supporter at supporter@123flashchat.com about your host details.<br><br>";
	}
	else
	{
		document.getElementById('client_location_host_field').style.display = "none";
		document.getElementById('chat_room_name_field').style.display = "none";
		document.getElementById('chat_server_path_field').style.display = "";
		document.getElementById('client_location_host').disable = true;

		instruction_message += "Step 1, Please download 123 Flash Chat Server Software at <a href='http://www.123flashchat.com/download.html' target='_blank'>here</a><br>";
		instruction_message += "Step 2, Install 123 Flash Chat Server Software according to <a href='http://www.123flashchat.com/docs/Installations' target='_blank'>Installation Guide</a><br>";
		instruction_message += "Step 3, Copy chat client in 123 Flash Chat Server Software installed directory to your website<br>";
		instruction_message += "Step 4, Set the Chat server path to the place where the chat server is installed, for example C:/Program Files/123FlashChatServer7.3/</b><br><br/>";
	}
	document.getElementById('chat_instruction').innerHTML = instruction_message;
}
